//
// Statemachine code from reading SCXML file 'mediaplayer.scxml'
// Created by: The Qt SCXML Compiler version 1 (Qt 5.9.4)
// WARNING! All changes made in this file will be lost!
//

#ifndef MEDIAPLAYER_H
#define MEDIAPLAYER_H

#include <QScxmlStateMachine>
#include <QString>
#include <QVariant>

class MediaPlayerStateMachine: public QScxmlStateMachine
{
    /* qmake ignore Q_OBJECT */
    Q_OBJECT
    Q_PROPERTY(bool stopped)
    Q_PROPERTY(bool playing)


public:
    Q_INVOKABLE MediaPlayerStateMachine(QObject *parent = 0);
    ~MediaPlayerStateMachine();



Q_SIGNALS:


private:
    struct Data;
    friend struct Data;
    struct Data *data;
};

Q_DECLARE_METATYPE(::MediaPlayerStateMachine*)

#endif // MEDIAPLAYER_H
